Subject: Re: SBB has been fixed...
From: Alex Howell <[email-masked]>
To: [email-masked]
Date: Fri, 10 Sep 1993 02:30:42 -0400

> I got a lot of responses from people offering to fix my bug, so I just 
> thought I'd let you all know at once that the bug has been killed.
> Andy Church found the problem with the X Hard and Y Hard functions
> returning bad values. Other programmers should probably take note of
> this, try to avoid using these functions if you can...

I pointed this set of bugs out to Michael a long while ago and got no response
from Michael on whether or not Francois fixed it.

The Xhard and Yhard WORK *ONLY* on Default.  If you do anything different,
forget Xhard and Yhard.  There IS a way to get them in another way though.

Memorize X : X Mouse=-500 : XOFF=X Mouse : Remember X

Do the same for Y and XOFF and YOFF will have accurate values.  Do this after
opening the screen.  You can then use the offsets to for whatever you needed
them with.  [A small procedure can allow you to get hardware coords from
graphic coords with some work.]

Alex...